Costing Management
Create Cost Sheet Fit
Create a new fit (sample stage) on a cost sheet, with its first version.
POST
/
api
/
v1
/
costings
/
{costing_id}
/
fits
Create Cost Sheet Fit
curl --request POST \
--url https://vinmake-erp.onrender.com/api/v1/costings/{costing_id}/fits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stageKey": "<string>",
"copyFromStageKey": "<string>",
"changeDescription": "<string>",
"userId": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/costings/{costing_id}/fits"
payload = {
"stageKey": "<string>",
"copyFromStageKey": "<string>",
"changeDescription": "<string>",
"userId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
stageKey: '<string>',
copyFromStageKey: '<string>',
changeDescription: '<string>',
userId: '<string>'
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/costings/{costing_id}/fits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The costing document ID (e.g., CS-2024-001)
Body
application/json
Response
Successful Response
⌘I
Create Cost Sheet Fit
